Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# NullFilter Class Reference

`#include <Siena.h>`

Inheritance diagram for NullFilter:

List of all members.

## Public Member Functions
| NullFilter (const AttributeConstraint &, const AttributeConstraint &)
| NullFilter (const string &, const AttributeConstraint &, const AttributeConstraint &)
virtual const char * | what () const throw ()
## Public Attributes
string | name
AttributeConstraint | af1
AttributeConstraint | af2

## Detailed Description

exception: false filter (defines an empty set of events)

## Constructor & Destructor Documentation

NullFilter::NullFilter | ( | const AttributeConstraint & | ,
|  | const AttributeConstraint & |  |
| ) |  |  |

constructor with two contradictory constraints

NullFilter::NullFilter | ( | const string & | ,
|  | const AttributeConstraint & | ,
|  | const AttributeConstraint & |  |
| ) |  |  |

constructor with two contradictory constraints and attribute name

## Member Function Documentation

virtual const char* NullFilter::what | ( |  | ) | const throw ()`[virtual]`

C-style string representation of what went wrong

Reimplemented from NotificationModelException.

## Member Data Documentation

string NullFilter::name

attribute name

AttributeConstraint NullFilter::af1

conflicting constraint

AttributeConstraint NullFilter::af2

conflicting constraint

The documentation for this class was generated from the following file:

- Siena.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga